package com.vendor.burn.model.cmdline.adapter;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.log.Log;
import com.vendor.burn.utilitily.FileUtils;
import org.eclipse.osgi.util.NLS;

public class CommonAdapter {
  protected static final String BLANK = "    ";
  
  public static final int FASTBOOT_START = 0;
  
  public static final int UNFASTBOOT_START = 1;
  
  public static final int NONSUPPORT = -1;
  
  public String parseFile(String[] args, int paramSize, String paramName, int index) {
    if (args == null) {
      Log.errorln(NLS.bind(Messages.CMD_PARAMETER_NotFound, paramName));
      return null;
    } 
    if (paramSize >= index) {
      String inputFile = args[index];
      if (inputFile == null || inputFile.isEmpty()) {
        Log.errorln(NLS.bind(Messages.CMD_PARAMETER_IsNull, paramName));
        return null;
      } 
      if (!FileUtils.isExists(inputFile)) {
        Log.errorln(NLS.bind(Messages.CMD_PARAMETER_FilePath_IsNotExist, inputFile));
        return null;
      } 
      return inputFile;
    } 
    Log.errorln(NLS.bind(Messages.CMD_PARAMETER_NotFound, paramName));
    return null;
  }
  
  public static String convertChipName(String chipName) {
    if (chipName == null)
      return null; 
    return chipName.toUpperCase();
  }
}
